#!/usr/bin/perl -w
use strict;
use IO::Handle;
my $kooltalk = "/usr/local/bin/kooltalk -l";
my $tag_state=0;
my $kool = "";
my $nonkool = "";
while (my $line = <>) {
	my @chars = split(// , $line);
	foreach my $char (@chars) {
		if ($char eq "<") { $tag_state = 1; }
		if ($char eq ">") { $tag_state = 0; }
		if ($tag_state) {
			$nonkool .= $char;
			if (length($kool)) {
				open (KOOL, "| $kooltalk");
				KOOL->autoflush(1);
				print KOOL $kool; 
				close(KOOL);
				$kool = "";
			}
		} else {
			$kool .= $char;
			STDOUT->autoflush(1);
			print $nonkool if (length($nonkool));
			$nonkool ="";
		}
 	}
}
