#!/usr/bin/perl -w

use Getopt::Std;
use vars qw($opt_b $opt_l $opt_m $opt_f);

sub kooltalk {
	my $line = shift;
	if ($opt_l) {
		open (KOOL, "| /usr/local/bin/kooltalk -l");
	}
	elsif ($opt_b) {
		open (KOOL, "| /usr/local/bin/kooltalk -b");
   }
	else {
		open (KOOL, "| /usr/local/bin/kooltalk");
	}		
	print KOOL "$line";
	close(KOOL);
}

getopts("lbmf");
if ($opt_m) {
	$user = getpwuid($>);
	open (MAIL, "/var/spool/mail/$user") or die "Error opening /var/spool/mail/$user: $!\n";
	@mail = <MAIL>;
	close(MAIL);
	$mail = join("", @mail);
	kooltalk($mail);
}
elsif ($opt_f) {
	@fort = `/usr/games/fortune`;
	$fort = join ("", @fort);
	kooltalk($fort);
}
else {
	kooltalk("Hello, world.\n");
}
