#!/usr/bin/perl -w
# A kool version of markov.pl from "The Practice of Programming" by 
# Brian W. Kerninghan and Rob Pike

sub kooltalk {
	my $line = shift;
	open (KOOL, "| /usr/local/bin/kooltalk");
	print KOOL "$line ";
	close(KOOL);
}

$MAXGEN = 10000;
$NONWORD = "\n";
$w1 = $w2 = $NONWORD;
while (<>) {
	foreach(split) {
		push(@{$statetab{$w1}{$w2}}, $_);
		($w1, $w2) = ($w2, $_);
	}
}
push(@{$statetab{$w1}{$w2}}, $NONWORD);

$w1 = $w2 = $NONWORD;
for ($i = 0; $i < $MAXGEN; $i++) {
	$suf = $statetab{$w1}{$w2};
	$r = int(rand @$suf);
	exit if(($t = $suf->[$r]) eq $NONWORD);
	kooltalk($t);
	($w1, $w2) = ($w2, $t);
}
